{% extends "admin/app.twig" %}
{% block content %}
<div class="container">
  {% include 'admin/navbar.twig' %}
  <div class="row">
    <div id="posts-content">
      <h1 id="content-title">Посты</h1>
      <div id="line"></div>
        <div class="row">
            <div  class="col-md-3 col-sm-12">
            <div class="nav flex-column" id="v-pills-tab" aria-orientation="vertical">
              <ul class="nav flex-column">
                <div id="menu" class="btn-group-vertical">
                  {% for cat in cats %}
                  <div class="btn-group" role="group" id="cat-{{ cat["id"] }}">
                      <button id="cat-name-{{cat["id"]}}"type="button" class="btn btn-outline-primary" onclick="get_request('/home/cat/{{cat["slug"]}}','show')">{{cat["name"]}}</button>
                      <button type="button" data-toggle="modal" data-target="#edit-cat-modal" style="width: 50px;" class="btn btn-outline-warning" onclick="get_request('/home/edit/cat-{{ cat["id"] }}','edit-cat','#cat-{{cat["id"]}}')">E</button>
                      <button type="button" style="width: 50px;" class="btn btn-outline-danger" onclick="get_request('/home/delete/cat-{{ cat["id"] }}','delete','cat-{{ cat["id"] }}')">X</button>
                  </div>
                  {%endfor%}
                </div>
              </ul>
              <button type="button" id="add-cat" class="btn btn-outline-success" data-toggle="modal" data-target="#cat-modal">Добавить категорию</button>
              <button type="button" id="add-post" class="btn btn-outline-success" data-toggle="modal" data-target="#post-modal">Создать пост</button>
            </div>
          </div>
          <div class="col-md-4 col-sm-12">
            <table class="table table-striped">
              <thead>
              </thead>
              <tbody id="table-posts">
              {% for post in posts %}
                {% if post["parent_id"]==0 %}
                <tr id="post-{{ post["id"] }}">
                  <td><a id="post-link-{{post["id"]}}" onclick="get_request('/home/posts/post-{{post["id"]}}','show-child-posts')">{{ post["title"] }}</a></td>
                  <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                      <button type="button" data-toggle="modal" data-target="#edit-post-modal" class="btn btn-warning" onclick="get_request('/home/edit/post-{{post["id"] }}','edit-post','#post-{{post["id"]}}')">Ред.</button>
                      <button type="button" class="btn btn-danger" onclick="get_request('/home/delete/post-{{ post["id"] }}','delete','post-{{ post["id"] }}')">Удалить</button>
                    </div>
                  </td>
                </tr>
                {% endif %}
              {% endfor %}
              </tbody>
            </table>
          </div>
          <div class="col-md-4 col-sm-12">
            <table class="table table-striped">
              <thead>
              </thead>
              <tbody id="table-child-posts">
              {% for post in posts %}
                {% if post["parent_id"]!=0 %}
                <tr id="child-post-{{ post["id"] }}">
                  <td><a id="post-link-{{post["id"]}}">{{ post["title"] }}</a></td>
                  <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                      <button type="button" data-toggle="modal" data-target="#edit-post-modal" class="btn btn-warning" onclick="get_request('/home/edit/post-{{post["id"] }}','edit-post','#post-{{post["id"]}}')">Ред.</button>
                      <button type="button" class="btn btn-danger" onclick="get_request('/home/delete/post-{{ post["id"] }}','delete','child-post-{{ post["id"] }}')">Удалить</button>
                    </div>
                  </td>
                </tr>
                {% endif %}
              {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div id="content-footer"></div>
    </div>
</div>


<div class="modal fade" id="cat-modal" tabindex="-1">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="cat-form">
          <div class="form-group">
            <label for="cat-name" class="col-form-label" >Имя:</label>
            <input name="name" type="text" class="form-control" id="cat-name" oninput="sluggable('#cat-name','#cat-slug')">
          </div>
          <div class="form-group">
            <label for="slug" class="col-form-label">Slug:</label>
            <input name="slug" type="text" class="form-control" id="cat-slug">
          </div>
          <div class="form-group">
            <label for="description" class="col-form-label">Описание:</label>
            <textarea name="description" class="form-control" id="cat-description"></textarea>
          </div>
          <div class="custom-file">
            <input type="file" class="custom-file-input" id="cat-img">
            <label class="custom-file-label" for="customFile">Выбрать изображение</label>
            <img id="cat-preview" src="#" alt="" />
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" class="btn btn-primary" onclick="post_request('/home/add-cat','cat-modal','cat-form')">Создать</button>
      </div>
    </div>
  </div>
</div>

<div id="edit-cat-modal" class="modal fade" tabindex="-1">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-cat-form">
        <input id="edit-cat-id" name="id" type="hidden">
          <div class="form-group">
            <label for="cat-name" class="col-form-label" >Имя:</label>
            <input id="edit-cat-name" name="name" type="text" class="form-control" oninput="sluggable('#cat-name','#cat-slug')">
          </div>
          <div class="form-group">
            <label for="description" class="col-form-label">Описание:</label>
            <textarea id="edit-cat-description" name="description" class="form-control"></textarea>
          </div>
          <div class="custom-file">
            <input type="file" class="custom-file-input" id="edit-cat-img">
            <label class="custom-file-label" for="customFile">Выбрать изображение</label>
            <img id="edit-cat-preview" src="#" alt="" />
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" class="btn btn-primary" onclick="post_request('/home/update/cat','edit-cat-modal','edit-cat-form')">Обновить</button>
      </div>
</div>
  </div>
</div>

<div class="modal bd-example-modal-xl fade" id="post-modal" tabindex="-1">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="post-form">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="cat-name" class="col-form-label">Заголовок:</label>
              <input name="title" type="text" class="form-control" id="post-title" oninput="sluggable('#post-title','#post-slug')">
            </div>
            <div class="form-group col-md-6">
              <label for="slug" class="col-form-label">Slug:</label>
              <input name="slug" type="text" class="form-control" id="post-slug">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="cat" class="col-form-label">Категория:</label>
                <select name="cat_id" class="form-control" id="cat">
                    {% for cat in cats %}
                        <option value="{{cat["id"]}}">{{cat["name"]}}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="form-group col-md-6">
              <label for="cat" class="col-form-label">Пост:</label>
                <select name="parent_id" class="form-control" id="post-opt">
                    <option value="0">Нет</option>
                    {% for post in posts %}
                      {% if post["parent_id"]==0 %}
                        <option value="{{post["id"]}}">{{post["title"]}}</option>
                      {% endif %}
                    {% endfor %}
                </select>
            </div>
          </div>

          <div class="custom-file">
            <input type="file" class="custom-file-input" id="post-img">
            <label class="custom-file-label" for="customFile">Выбрать изображение</label>
            <img id="post-preview" src="#" alt="" />
          </div>

          <div class="form-group">
            <label for="description" class="col-form-label">Описание:</label>
            <textarea name="description" class="form-control" id="post-description"></textarea>
          </div>
          <div class="form-group">
            <label for="postcontent" class="col-form-label">Содержимое:</label>
            <textarea name="content" class="form-control" id="postcontent"></textarea>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" class="btn btn-primary" onclick="post_request('/home/add-post','post-modal','post-form')">Создать</button>
      </div>
    </div>
  </div>
</div>


<div id="edit-post-modal" class="modal bd-example-modal-xl fade" tabindex="-1">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-post-form">
        <input id="edit-post-id" name="id" type="hidden">
          <div class="form-group">
            <label for="cat-name" class="col-form-label">Заголовок:</label>
            <input id="edit-post-title" name="title" type="text" class="form-control">
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="cat" class="col-form-label">Категория:</label>
                <select name="cat_id" class="form-control" id="edit-post-cat">
                    {% for cat in cats %}
                        <option value="{{cat["id"]}}">{{cat["name"]}}</option>
                    {%endfor%}
                </select>
            </div>
          </div>

          <div class="custom-file">
            <input type="file" class="custom-file-input" id="edit-post-img">
            <label class="custom-file-label" for="customFile">Выбрать изображение</label>
            <img id="edit-post-preview" src="#" alt="" />
          </div>

          <div class="form-group">
            <label for="description" class="col-form-label">Описание:</label>
            <textarea id="edit-post-description" name="description" class="form-control" ></textarea>
          </div>
          <div class="form-group">
            <label for="postcontent" class="col-form-label">Содержимое:</label>
            <textarea id="edit-post-content" name="content" class="form-control"></textarea>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" class="btn btn-primary" onclick="post_request('/home/update/post','edit-post-modal','edit-post-form')">Обновить</button>
      </div>
    </div>
  </div>
</div>
{% endblock %}